<?php
namespace Ak\InputFilter;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\InputFilter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/skel
 */
final class ConfigProvider extends ConfigAggregator
{
    /**
     * Konstruktor.
     */
    public function __construct()
    {
        parent::__construct([
            \Ak\Filter\ConfigProvider::class,
            \Ak\Validator\ConfigProvider::class,
            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]);
    }

    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return $this->getMergedConfig();
    }
}
