<?php
namespace AkTest\InputFilter;

use Ak\InputFilter\ConfigProvider;
use Ak\Test\AbstractTestCase as BaseAbstractTestCase;
use Laminas\InputFilter\InputFilterInterface;
use Laminas\InputFilter\InputFilterPluginManager;

/**
 * Class AbstractTestCase
 *
 * @package AkTest\InputFilter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/input-filter
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    protected $providers = [
        ConfigProvider::class,
    ];

    /**
     * @return InputFilterPluginManager
     */
    protected function getInputFilterManager(): InputFilterPluginManager
    {
        $container = $this->getContainer();
        return $container->get(InputFilterPluginManager::class);
    }

    protected function getInputFilter(string $name, array $options = []): InputFilterInterface
    {
        $plugins = $this->getInputFilterManager();
        return $plugins->build($name, $options);
    }
}
